/*
**      LinkEnums.h
**      LinkPalette, Beta Release
**      Copyright (c) 1993, Target Development.  All rights reserved. 
*/

/* scaling behaviors used by LinkView */
typedef enum {
  TD_NO_SCALING = 0,
  TD_SCALE_IMAGE_TO_FIT_VIEW,
  TD_SCALE_IMAGE_PROP_IN_VIEW,
  TD_SCALE_VIEW_TO_IMAGE_SIZE
} TDScalingBehavior;

/* file types used by LinkView */
typedef enum {
  TD_TIFF_FILE = 0,
  TD_EPS_FILE,
  TD_RTF_FILE,
  TD_RTFD_FILE,
  TD_ASCII_FILE,
  TD_UNKNOWN_FILE
} TDFileType;

/* error codes used by LinkView and LinkSound */
typedef enum {
  TD_NO_ERROR = 0,
  TD_INVALID_TYPE,
  TD_TYPE_NOT_REGISTERED,
  TD_FILE_IS_NULL,
  TD_FILE_DOES_NOT_EXIST,
  TD_FILE_PERMISSION_DENIED,
  TD_DIR_PERMISSION_DENIED,
  TD_REJECTED_BY_DELEGATE,
  TD_INVALID_PATH,
  TD_OBJECT_IS_NIL,
  TD_FILE_COPY_FAILED,
  TD_UNKNOWN_ERROR
} TDErrorCode;

/* docView types used by LinkView */
typedef enum {
  TD_LINK_TEXT = 0,
  TD_LINK_IMAGE
} TDDocViewType;

