/*
**      LinkSound.h
**      LinkPalette, Beta Release
**      Copyright (c) 1993, Target Development.  All rights reserved. 
*/

#import <appkit/appkit.h>
#import <dbkit/dbkit.h>
#import <soundkit/Sound.h>
#import "LinkEnums.h"

@interface LinkSound:Object
{
	Sound *sound;
	char *filename;
	id module;
	id delegate;
	int tag;
	id _set;
	id _systemFile;
}

- association:association setValue:(DBValue *)value;
- association:association getValue:(DBValue *)value;

- init;
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;
- free;

- (BOOL)loadSoundFromFile:(const char *)aFilename setName:(BOOL)aFlag;
- (BOOL)loadSoundFromPanel:(const char *)startingPoint setName:(BOOL)aFlag;

- sound;
- setSound:aSound;

- (const char *)currentFilename;
- setCurrentFilename:(const char *)aFilename;

- (BOOL)registerForExtension:(const char *)anExtension :(BOOL)aFlag;
- (BOOL)isRegisteredForExtension:(const char *)anExtension;

- (TDErrorCode)isLoadable:(const char *)aFilename;

- (int)tag;
- setTag:(int)anInt;

- delegate;
- setDelegate:anObject;
- module;
- setModule:aModule;

- (BOOL)saveSoundToFile:(const char *)aFilename;
- (BOOL)saveSoundWithPanel;

@end

@interface Object(LinkSoundDelegate)

- (const char *)validatePathForSoundFile:(const char *)aFilename;

- (BOOL)soundWillLoadFromFile:(const char *)aFilename;
- soundDidLoadFromFile:(const char *)aFilename;
- soundDidNotLoadFromFile:(const char *)aFilename forReason:(TDErrorCode)aCode;
- (const char *)cannotLoadSoundFromFile:(const char *)invalidFile usingFile:(const char *)validFile;

- (BOOL)soundWillSaveToFile:(const char *)aFilename;
- soundDidSaveToFile:(const char *)aFilename;
- soundDidNotSaveToFile:(const char *)aFilename forReason:(TDErrorCode)aCode;
- (const char *)cannotSaveSoundToFile:(const char *)invalidFile usingFile:(const char *)validFile;

@end
