/*
** Controller.m
**
** You may freely copy, distribute, and reuse the code in this example.
** Target Development disclaims any warranty of any kind, expressed or 
** implied, as to it's fitness for any particular use.
**
*/

#import "Controller.h"

@implementation Controller

- newCustomer:sender
{
	[custModule insertNewRecord:self];
	
	[self uniqueKeyForProperty:"cust_id" intoFetchGroup:[custModule rootFetchGroup]];
	
	return self;
}

-(int) uniqueKeyForProperty:(const char *)propertyName intoFetchGroup:fetchGroup
{
	id database;
	
	id uniqEntity, uniqRecord;
	id uniqID;
	id uniqValue;
	id propList;
	int temp;
	
	id property;
	
	property = 	[[fetchGroup entity] propertyNamed:propertyName];
	database = [[fetchGroup module] database];
	
	if ([database isConnected] == NO)
		[database connect];
			
	uniqEntity = [database entityNamed:"unique_nums"];
	
	propList = [[List alloc] init];
	uniqValue = [[DBValue alloc] init];
	uniqRecord = [[DBRecordList alloc] init];
	
	uniqID = [uniqEntity propertyNamed:propertyName];
	[propList addObject:uniqID];
	[uniqRecord setProperties:propList ofSource:uniqEntity];
	[uniqRecord fetchUsingQualifier:nil];

	[uniqRecord getValue:uniqValue forProperty:uniqID];
	
	temp = [uniqValue intValue];
	temp++;

	[uniqValue setIntValue:temp];
	[uniqRecord setValue:uniqValue forProperty:uniqID];
	
	[uniqRecord saveModifications];
	
	[[fetchGroup recordList] setValue:uniqValue forProperty:property 
												at:[fetchGroup currentRecord]];
	
	[propList free];
	[uniqValue free];
	[uniqRecord free];
	
	return temp;
}

@end
